View Issue Details

IDProjectCategoryView StatusLast Update
0031542RunnerWindows (YYC)Public2020-01-20 15:25
ReporterYellowAfterlifeAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ResolvedResolutionFixed 
PlatformWindowsOSWindows 10 ProOS Version>=18362
Product Version 
Target VersionFixed in Version 
Summary0031542: YYC: ds_stack_pop returns 0 instead of undefined for empty stacks
Description
var q = ds_stack_create();
show_debug_message(ds_stack_pop(q));

`undefined` on VM, `0` on YYC
Additional InformationThought Forager had a very mysterious issue but it was actually just this
Tagsfunctions, yyc
1.4 Found In
2.x Runtime Found In9.9.1.1636
2.x Runtime Verified In

Activities

YellowAfterlife

2019-12-13 22:50

Developer  

a_bug.yyz (17,881 bytes)

Russell Kay

2020-01-06 15:31

Manager   ~0065244

In progress - the code should already do this but I will need to test it out

Russell Kay

2020-01-20 15:25

Manager   ~0065312

Fixed in gitlab